<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__mqtt__cyport__function" kind="group">
    <compoundname>mqtt_cyport_function</compoundname>
    <title>Functions</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__mqtt__cyport__function_1ga79702091072df13f4ec2efbc5c083333" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>IotNetworkError_t</type>
        <definition>IotNetworkError_t IotNetworkSecureSockets_Init</definition>
        <argsstring>(void)</argsstring>
        <name>IotNetworkSecureSockets_Init</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>One-time initialization function for Cypress secure sockets implementation. </para>        </briefdescription>
        <detaileddescription>
<para>This function performs internal setup of this network stack. <bold>It must be called once (and only once) before calling any other function in this network stack</bold>. Calling this function more than once without first calling <ref kindref="member" refid="group__mqtt__cyport__function_1ga2effc9b94bd111ebde698cb87031c80f">IotNetworkSecureSockets_Cleanup</ref> may result in a crash.</para><para><simplesect kind="return"><para>IOT_NETWORK_SUCCESS or IOT_NETWORK_FAILURE.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition warning"&gt;&lt;p class="admonition-title"&gt;warning&lt;/p&gt;&lt;p&gt;&lt;p&gt;No thread-safety guarantees are provided for this function. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/cy_iot_network_secured_socket.h" line="100" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__mqtt__cyport__function_1ga2effc9b94bd111ebde698cb87031c80f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void IotNetworkSecureSockets_Cleanup</definition>
        <argsstring>(void)</argsstring>
        <name>IotNetworkSecureSockets_Cleanup</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>One-time deinitialization function for Cypress secure sockets implementation. </para>        </briefdescription>
        <detaileddescription>
<para>This function frees resources taken in <ref kindref="member" refid="group__mqtt__cyport__function_1ga79702091072df13f4ec2efbc5c083333">IotNetworkSecureSockets_Init</ref>. It should be called after destroying all network connections to clean up this network stack. After this function returns, <ref kindref="member" refid="group__mqtt__cyport__function_1ga79702091072df13f4ec2efbc5c083333">IotNetworkSecureSockets_Init</ref> must be called again before calling any other function in this network stack.</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition warning"&gt;&lt;p class="admonition-title"&gt;warning&lt;/p&gt;&lt;p&gt;&lt;p&gt;No thread-safety guarantees are provided for this function. Do not call this function if any network connections exist! &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/cy_iot_network_secured_socket.h" line="113" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Cypress platform port layer functions. </para>    </briefdescription>
    <detaileddescription>
<para><linebreak />
This layer provides set of portable layer functions that are required for AWS IoT Device SDK library to perform RTOS and socket operations. Those are:<linebreak />
<orderedlist>
<listitem><para>Thread functions</para></listitem><listitem><para>Timer functions</para></listitem><listitem><para>RTOS synchronization primitive functions</para></listitem><listitem><para>Socket I/O functions to connect and transfer data over the network<linebreak />
The threads that are created by AWS IoT Device SDK library use priority <ref kindref="member" refid="group__mqtt__cyport__config_1ga41f0c9d181387db9557b17c9f6cd21cd">IOT_THREAD_DEFAULT_PRIORITY</ref>. </para></listitem></orderedlist>
</para>    </detaileddescription>
  </compounddef>
</doxygen>